--MODEL_TEST
function()
    frame:SetAlpha(1);
    frame:SetFrameStrata("DIALOG");
    local model = CreateFrame("PlayerModel", "QCP", QCQuestTitleFrame);
    model:SetFrameStrata("DIALOG");
    model:SetUnit("TARGET");
    model:ClearModel();
    model:SetPortraitZoom(0.3);
    model:SetPosition(-1.6, 0, 0);
    model:SetScale(0.8);
    model:SetFacing(-(math.pi / -26))
    model:SetAlpha(1);
    model:SetScript("OnAnimStarted", function() model:SetAnimation(60); end);
    model:SetScript("OnAnimFinished", function() model:SetAnimation(60); end);
    model:SetAllPoints(frame);
    model:RegisterEvent("PLAYER_TARGET_CHANGED");
    model:RegisterEvent("UNIT_PORTRAIT_UPDATE");
    model:RegisterEvent("UNIT_MODEL_CHANGED");
    model:SetScript("OnEvent", TargetPortrait_EventHandler);
    --yeet_env.region:SetSequenceTime(120)
    --aura_env.region:SetOffsetAnim(120)
    return true
end
